const UniversityDB = {
  "wisc.edu": {name: "University of Wisconsin - Madison", logoKey: "wisc", timeZoneHourOffset: -6}
}

const UniversityTestDB = {
  "wisc.edu": {name: "University of Wisconsin - Madison", logoKey: "wisc", timeZoneHourOffset: -6},
  "gmail.com": {name: "Google", logoKey: "google"},
  "qq.com": {name: "QQ", logoKey: "qq", timeZoneHourOffset: 8}
}

function GetUniversityName(domain, useUniversityTestDB) {
  if(!domain) { return "" }
  let university = null
  if(useUniversityTestDB) {
    university = UniversityTestDB[domain]
  } else {
    university = UniversityTestDB[domain]
  }
  if(!university) { return "" }
  return university.name || ""
}

function GetUniversityLogoKey(domain, useUniversityTestDB) {
  if(!domain) { return "" }
  let university = null
  if(useUniversityTestDB) {
    university = UniversityTestDB[domain]
  } else {
    university = UniversityTestDB[domain]
  }
  if(!university) { return "" }
  return university.logoKey || ""
}

function HasUniversity(domain, useUniversityTestDB) {
  if(!domain) { return false }
  if(useUniversityTestDB) {
    return !!UniversityTestDB[domain]
  } else {
    return !!UniversityDB[domain]
  }
}

module.exports = {
  UniversityDB,
  UniversityTestDB,
  GetUniversityName,
  GetUniversityLogoKey,
  HasUniversity
}